from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XTopWindowListener(XEventListener, Protocol):
    def windowOpened(self, e: EventObject) -> None: ...
    def windowClosing(self, e: EventObject) -> None: ...
    def windowClosed(self, e: EventObject) -> None: ...
    def windowMinimized(self, e: EventObject) -> None: ...
    def windowNormalized(self, e: EventObject) -> None: ...
    def windowActivated(self, e: EventObject) -> None: ...
    def windowDeactivated(self, e: EventObject) -> None: ...
